
Redmine - Defect #7099

404 when entering time with blank issue #

2010-12-13 06:49 - Adam Soltys

Status: Closed Start date: 2010-12-13

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Time tracking Estimated time: 0.00 hour

Target version:    

Resolution: Fixed Affected version:  

Description

When entering time against a project without specifying an issue number, I get a 404 error when running on the latest edge version

of the code.

The problem seems to have been introduced by r4461: "Adds REST API for TimeEntries (#6823)."

I've been trying to figure out how to solve it but haven't managed to yet.

Associated revisions

Revision 4511 - 2010-12-14 19:29 - Jean-Philippe Lang

Fixed: 404 when entering time with blank issue id (#7099).

History

#1 - 2010-12-13 07:41 - Adam Soltys

- File fix_time_entry_404.diff added

I think I've figured it out.  Attaching patch with failing test case and fix.  Please review.

#2 - 2010-12-13 07:52 - Adam Soltys

- File fix_time_entry_404.diff added

Sorry, that test wouldn't actually fail before the fix.  Now it should.

#3 - 2010-12-14 19:21 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Fixed

Fixed in r4511, thanks for pointing this out.

Files

fix_time_entry_404.diff 2.38 KB 2010-12-13 Adam Soltys

fix_time_entry_404.diff 2.34 KB 2010-12-13 Adam Soltys
